OTRS - Manual
Prev | Chapter 16. Customize the frontend | Next

# Create a new theme

To create a new theme, create a new theme directory (mkdir ~otrs/Kernel/Output/HTML/NewTheme/). Copy an existing theme into the new directors (cp ~otrs/Kernel/Output/HTML/Standart/*.dtl ~otrs/Kernel/Output/HTML/NewTheme/).

Modify the dtl files like you want.

Add a new database entry for this theme. You have to do this via SQL.

    shell:~> mysql -u root -p some-pass otrs
    Welcome to the MySQL monitor.  Commands end with ; or \g.
    Your MySQL connection id is 1 to server version: 3.23.48-log

    Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

    mysql> INSERT INTO theme
        ->     (theme, valid_id, create_by, change_by, change_time)
        ->     VALUES
        ->     ('NewTheme', 1, 1, 1, current_timestamp);
    mysql>

Ready. Goto the preferences page and change your theme.

Prev | Home | Next
Examples of dtl files | Up | Customize Ticket State (min. OTRS 1.1)